<?php
namespace App\Models;
class Og_garbage_user extends BaseModel {

	protected $table = "og_garbage_user";
	public $timestamps = false;

	protected function addNewMatch($data){
	    if(!isset($data['info_identity'])){
	        $data['info_identity']=UUID();
        }
        $res=$this->insert($data);
	    if(!$res){
	        return -9050020422;
        }
        return 1;
    }
    //由期数获取vs队伍
    protected function getVSTeam($info_no){
	    $data=$this->where('info_no',$info_no)->first();
	    if(!$data){
	        return -9023210022;//没有数据
        }
        return $data->toArray();
    }
}
